Circulating Supply Chart within Time Range by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/circulating_supply_chart/range \
--header 'x-cg-pro-api-key: <api-key>'{
"circulating_supply": [
[
1735689600000,
"19803921.0"
],
[
1735776000000,
"19804340.0"
],
[
1735862400000,
"19804871.0"
]
]
}Coin Charts
Circulating Supply Chart within Time Range by ID
To query historical circulating supply of a coin, within a range of timestamp based on the provided coin ID
GET
/
coins
/
{id}
/
circulating_supply_chart
/
range
Circulating Supply Chart within Time Range by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/circulating_supply_chart/range \
--header 'x-cg-pro-api-key: <api-key>'{
"circulating_supply": [
[
1735689600000,
"19803921.0"
],
[
1735776000000,
"19804340.0"
],
[
1735862400000,
"19804871.0"
]
]
}Notes
- Accepts ISO date strings (
YYYY-MM-DDorYYYY-MM-DDTHH:MM, recommended) or UNIX timestamps forfromandto. - Auto-granularity when
intervalis not specified:- 1 day = 5-minutely data
- 2–90 days = hourly data
- 91 days and above = daily data (00:00 UTC)
- Data available from 22 June 2019 onwards.
The last completed UTC day (00:00) is available 35 minutes after midnight (00:35 UTC).
SDK Examples
const response = await client.coins.circulatingSupplyChart.getRange('bitcoin', {
from: '2025-01-01',
to: '2025-12-31',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Coin ID.
*refers to /coins/list.
Query Parameters
Starting date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Ending date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Response
200 - application/json
Historical circulating supply chart data within time range
Circulating supply data points as [timestamp, supply] pairs
Was this page helpful?
⌘I

